/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package productcatalog;

import java.math.BigDecimal;

/**
 * This class represents product.
 *
 * @author Petr Adamek
 */
public class Product {

    // We use Long instead of long because Long can contain null value. 
    // In this case null means that object has no primary key assigned yet.
    private Long id;

    private String name;
    private String description;

    // Do not use floating point types for representing money
    private BigDecimal price;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Product other = (Product) obj;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 89 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }


}
